using CookComputing.XmlRpc;

namespace MeasureThread
{
    /// <summary>
    /// 实现XmlRpc代理接口(IXmlRpcProxy), 并指明对应服务类的方法；
    /// </summary>
    public interface IAutoFocus : IXmlRpcProxy
    {

        [XmlRpcMethod("autostigfocus")]//其中客户端的web方法名称即[ ]中的名称必须和服务端相同，否则会抛异常。
        [return: XmlRpcReturnValue(Description = "autostigfocus: 对焦；")]
        string autofocusstig(int search_step, int iter_n, double wd_searh_factor, double stig_range, double iter_range_damping);//,bool normalized

        [XmlRpcMethod("autofocus")]
        [return: XmlRpcReturnValue(Description = "autofocus: 对焦；")]//注释写什么都可以。
        string autofocus(int search_step, double wd_searh_factor, double retry, bool refine);//bool normalized
    }

}
